//
//  opinion
//
//  gmalpha_flutter
//  Created by Mikasa on 2019/2/19.
//  Copyright © 2019 Gengmei. All rights reserved.
//

import 'package:flutter/material.dart';
import 'macros/ALColors.dart';
import 'macros/ALDevice.dart';
import 'macros/ALCommon.dart';

//ALColors.ColorFFFFFF
class Opinion extends StatelessWidget {
  // This widget is the root of your application.
  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      debugShowCheckedModeBanner: false,
      title: 'Flutter Demo',
      color: ALColors.ColorFFFFFF,
      theme: ThemeData(
        splashColor: Colors.white10
        ,//水波纹的颜色
      ),
      home: OpinionPage(title: '意见和建议'),
    );
  }
}

class OpinionPage extends StatefulWidget {
  OpinionPage({Key key, this.title}) : super(key: key);

  final String title;

  @override
  _OpinionPageState createState() => _OpinionPageState();
}

class _OpinionPageState extends State<OpinionPage> {
  TextEditingController opinionCtrl = TextEditingController();
  TextEditingController telCtrl = TextEditingController();

  @override
  Widget build(BuildContext context) {
    return Scaffold(
//      appBar: AppBar(
//        title: Text('Home'),
//      ),
        appBar: PreferredSize(
            child: Container(
              alignment: Alignment.center,
              child: Text(
                '${widget.title}',
                style: TextStyle(color: ALColors.Color323232, fontSize: 18),
              ),
            ),
            preferredSize: Size(320, 64)),
        body: Container(
          height: ALDevice.height,
          width: ALDevice.width,
          child: Center(
            // Center is a layout widget. It takes a single child and positions it
            // in the middle of the parent.
            child: Column(
              mainAxisAlignment: MainAxisAlignment.spaceBetween,
              children: <Widget>[
                Container(
                  alignment: Alignment.topCenter,
                  margin:
                      EdgeInsets.only(left: 30, top: 42, right: 30, bottom: 0),
                  height: 215,
                  width: ALDevice.width,
                  decoration: BoxDecoration(
                    border: Border.all(color: ALColors.ColorC4C4C4, width: 1),
                  ),
                  child: TextField(
//                    maxLines: 10,
                    controller: opinionCtrl,
                    decoration: InputDecoration(
                      border: InputBorder.none,
                      contentPadding: EdgeInsets.all(10),
                      hintText: '意见与建议',
                      hintStyle: TextStyle(
                        color: ALColors.ColorC4C4C4,
                        fontSize: 14,
                      ),
                      labelStyle:
                          TextStyle(color: ALColors.Color323232, fontSize: 19),
                    ),
                  ),
                ),
                Container(
                  height: 40,
                  margin: EdgeInsets.only(left: 30, right: 30,top: 30),
                  padding: EdgeInsets.only(bottom: 10),
                  decoration: BoxDecoration(
                      border: Border(
                    bottom: BorderSide(color: ALColors.ColorC4C4C4),
                  )),
                  alignment: Alignment.centerLeft,
                  child: TextField(
                    controller: telCtrl,
                    decoration: InputDecoration(
                      border: InputBorder.none,
                      contentPadding: EdgeInsets.all(10),
                      hintText: '联系方式',
                      hintStyle: TextStyle(
                        color: ALColors.ColorC4C4C4,
                        fontSize: 14,
                      ),
                      labelStyle:
                          TextStyle(color: ALColors.Color323232, fontSize: 19),
                    ),
                  ),
                ),
//                Container(
//                  height: 1,
//                  margin: EdgeInsets.only(left: 30,right: 30,top: 5),
//                  child: Divider(height: 1,color: ALColors.ColorC4C4C4,),
//                ),
                Container(
                  decoration: BoxDecoration(
                      border:
                          Border.all(color: ALColors.Color323232, width: 1.5)),
                  margin: EdgeInsets.all(30),
                  padding: EdgeInsets.all(0),
                  constraints:
                      BoxConstraints(minWidth: ALDevice.width, minHeight: 45),
                  alignment: Alignment.center,
                  child: FlatButton(
                    onHighlightChanged:(bool b){

                    },
                    onPressed: confirmClick,
                    child: Text(
                      '提交',
                      style:
                          TextStyle(fontSize: 14, color: ALColors.Color323232),
                    ),
                  ),
                ),
              ],
            ),
          ),
        ));
  }
}

void confirmClick() {
  print('confirmClick');
}
//
//class MyNarBar extends PreferredSizeWidget {
//  @override
//}
